const async = require('async');
const fs = require('fs');
const csvWriter = require('csv-write-stream');
const writer = csvWriter({sendHeaders: false});
const readline = require('readline').createInterface({
  input: process.stdin,
  output: process.stdout
});

const data = {};

async.series([
  (callback) => {
    readline.question("First name? "), (fname) => {
        data.first = fname;
        callback()
    }
  },

  (callback) => {
    readline.question("Last name? "), (lname) => {
        data.last = lname;
        callback()
    }
  },

  (callback) => {
    readline.question("Role? "), (role) => {
      data.role = role;
      callback()
    }
  }
], () => {
  writer.pipe(fs.createWriteStream('cs100.csv', {flags: 'a'}));
  writer.write(data);
  writer.end();
  readline.close();
})
