const express = require('express');
const path = require('path');

const hostname = '127.0.0.1';
const port = 3000;

const app = express();

app.get('/', (req, res) => res.sendFile(path.join(`${__dirname}/index.html`)));

app.get('/secret', (req, res) => res.sendFile(path.join(`${__dirname}/secret.html`)));

app.listen(port, hostname, () => {
    console.log(`Server running at http://${hostname}:${port}/`)
});
